### Function

# EvinceDocument file_get_mime_type

#### Declaration [src]

    gchar*
    ev_file_get_mime_type (
      const gchar* uri,
      gboolean fast,
      GError** error
    )

#### Description

No description available.

#### Parameters

`uri` | `const gchar*`
| The URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`fast` | `gboolean`
| Whether to use fast MIME type detection.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A newly allocated string with the MIME type of the file at `uri`, or `NULL` on error or if the MIME type could not be determined.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.